Create New Campaign

This API enables the creation of a new campaign by submitting the necessary details in the request payload. Once the campaign is successfully created, the system returns a unique campaign ID that can be used for future tracking and management.

Body Params

Details about the campaignCreate

string
required

The name of the campaign.

string
enum
required

The type of the campaign.

Allowed:
string
enum
required

The targeting type of the campaign is set of options to create campaigns with different bidding types.

Allowed:
string
enum
required

Specified status of campaign.

Allowed:
string
enum
required

The type of budget allocation you want to choose for your campaign.

Allowed:
date
required

The date to start campaign.

date
required

The date when campaign ends.

double

Total budget of campaign.

Note: This field is only required if budgetType is set to total.

double
required

Daily budget of campaign.

Note: This field is required only if budgetType is set to daily.

boolean
required

The indicator to suggest if the unspent daily budget from the previous day should be carried forward to next day’s daily budget.

int32
required

ID of advertiser for which campaign is to be scheduled.

campaignOptions
array of strings

List of campaign setting options while creating a campaign.

Note:
- BTT and CPT are only applicable to Sponsored Search automatic campaigns.
- All net new automatic campaigns will be opted in to Brand Term Targeting by default.
- Existing campaigns are opted out of BTT and CPT by default.

campaignOptions
Allowed:
biddingStrategy
object

A json object to store the bidding strategy.
Note:
- If you don’t pass biddingStrategy in the request, the default strategy will be FIXED.
- biddingStrategy is not applicable for Sponsored Brands and Sponsored Videos.

Headers
string
required

Auth signature as an API key.

string
required

We will provide you the consumer ID to access the API. It is same for all advertisers you access through the API.

integer
required

We will provide you with the KEY VERSION to access the API. It is same for all advertisers you access through the API.

integer
required

Timestamp for which the auth signature is generated. Use Unix epoch format.

string
required

The token will provide you the access to the API. It is same for all advertisers you access through the API.

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
*/*